package com.ruoyi.system.domain;

import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 素材库对象 boman_material
 * 
 * @author boman
 * @date 2023-11-20
 */
public class BomanMaterial extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 素材id */
    private Long materialId;

    /** 素材地址 */
    @Excel(name = "素材地址")
    private String materialUrl;

    /** 素材名称 */
    private String materialName;

    /** 1:图片 2:视频 */
    @Excel(name = "1:图片 2:视频")
    private String type;

    /** 关键字 */
    private String keywords;

    /** N:否 Y:是 */
    @Excel(name = "N:否 Y:是")
    private String isLunbo;

    /** 发布时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "发布时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date releaseTime;
    private List<BomanMaterial> bomanMaterialList;

    public List<BomanMaterial> getBomanMaterialList() {
        return bomanMaterialList;
    }

    public void setBomanMaterialList(List<BomanMaterial> bomanMaterialList) {
        this.bomanMaterialList = bomanMaterialList;
    }

    public void setMaterialId(Long materialId)
    {
        this.materialId = materialId;
    }

    public Long getMaterialId() 
    {
        return materialId;
    }
    public void setMaterialUrl(String materialUrl) 
    {
        this.materialUrl = materialUrl;
    }

    public String getMaterialUrl() 
    {
        return materialUrl;
    }
    public void setMaterialName(String materialName) 
    {
        this.materialName = materialName;
    }

    public String getMaterialName() 
    {
        return materialName;
    }
    public void setType(String type) 
    {
        this.type = type;
    }

    public String getType() 
    {
        return type;
    }
    public void setKeywords(String keywords) 
    {
        this.keywords = keywords;
    }

    public String getKeywords() 
    {
        return keywords;
    }
    public void setIsLunbo(String isLunbo) 
    {
        this.isLunbo = isLunbo;
    }

    public String getIsLunbo() 
    {
        return isLunbo;
    }
    public void setReleaseTime(Date releaseTime) 
    {
        this.releaseTime = releaseTime;
    }

    public Date getReleaseTime() 
    {
        return releaseTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("materialId", getMaterialId())
            .append("materialUrl", getMaterialUrl())
            .append("materialName", getMaterialName())
            .append("type", getType())
            .append("keywords", getKeywords())
            .append("isLunbo", getIsLunbo())
            .append("releaseTime", getReleaseTime())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
